List push messages
curl --request GET \
--url https://api.notifique.dev/v1/push/messages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/push/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/push/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/push/messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": [
{
"id": "<string>",
"deviceId": "<string>",
"appId": "<string>",
"title": "<string>",
"body": "<string>",
"status": "<string>",
"scheduledFor": "2023-11-07T05:31:56Z",
"sentAt": "2023-11-07T05:31:56Z",
"deliveredAt": "2023-11-07T05:31:56Z",
"failedAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"clickedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"total": 123,
"page": 123,
"limit": 123,
"totalPages": 123
}
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>",
"details": {}
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>",
"details": {}
}Push Messages
List push messages
Shows push messages you sent. Filter by date and status.
GET
/
v1
/
push
/
messages
List push messages
curl --request GET \
--url https://api.notifique.dev/v1/push/messages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/push/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/push/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/push/messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": [
{
"id": "<string>",
"deviceId": "<string>",
"appId": "<string>",
"title": "<string>",
"body": "<string>",
"status": "<string>",
"scheduledFor": "2023-11-07T05:31:56Z",
"sentAt": "2023-11-07T05:31:56Z",
"deliveredAt": "2023-11-07T05:31:56Z",
"failedAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"clickedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"total": 123,
"page": 123,
"limit": 123,
"totalPages": 123
}
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>",
"details": {}
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>",
"details": {}
}Authorizations
ntfPushBearerAuthntfPushApiKeyHeader
Authorization: Bearer sk_live_xxxxx
Query Parameters
Required range:
x <= 100Available options:
QUEUED, SCHEDULED, SENT, DELIVERED, CLICKED, FAILED, CANCELLED Was this page helpful?
⌘I

